Linux azu-front-29122023-s-1vcpu-2gb-sgp1-01 5.19.0-46-generic #47-Ubuntu SMP PREEMPT_DYNAMIC Fri Jun 16 13:30:11 UTC 2023 x86_64
nginx/1.22.0
Server IP : 188.166.228.183 & Your IP : 216.73.216.202
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
sbin /
Delete
Unzip
Name
Size
Permission
Date
Action
aa-remove-unknown
3.13
KB
-rwxr-xr-x
2022-09-24 05:21
aa-status
38.38
KB
-rwxr-xr-x
2022-09-24 05:21
aa-teardown
137
B
-rwxr-xr-x
2022-08-09 16:56
accessdb
14.55
KB
-rwxr-xr-x
2022-08-19 17:13
add-shell
1.03
KB
-rwxr-xr-x
2022-07-27 14:20
addgnupghome
3
KB
-rwxr-xr-x
2022-08-16 09:01
addgroup
36.55
KB
-rwxr-xr-x
2022-05-17 18:26
adduser
36.55
KB
-rwxr-xr-x
2022-05-17 18:26
agetty
55.56
KB
-rwxr-xr-x
2022-05-04 06:30
apparmor_parser
1.44
MB
-rwxr-xr-x
2022-09-24 05:21
apparmor_status
38.38
KB
-rwxr-xr-x
2022-09-24 05:21
applygnupgdefaults
2.17
KB
-rwxr-xr-x
2022-08-16 09:01
arpd
26.33
KB
-rwxr-xr-x
2022-03-24 19:56
arptables
219.04
KB
-rwxr-xr-x
2022-04-29 00:16
arptables-nft
219.04
KB
-rwxr-xr-x
2022-04-29 00:16
arptables-nft-restore
219.04
KB
-rwxr-xr-x
2022-04-29 00:16
arptables-nft-save
219.04
KB
-rwxr-xr-x
2022-04-29 00:16
arptables-restore
219.04
KB
-rwxr-xr-x
2022-04-29 00:16
arptables-save
219.04
KB
-rwxr-xr-x
2022-04-29 00:16
badblocks
34.32
KB
-rwxr-xr-x
2022-06-03 11:03
bcache-super-show
14.3
KB
-rwxr-xr-x
2022-03-23 17:42
biosdecode
23.2
KB
-rwxr-xr-x
2022-07-01 02:37
blkdeactivate
15.96
KB
-rwxr-xr-x
2022-08-23 04:35
blkdiscard
22.38
KB
-rwxr-xr-x
2022-05-04 06:30
blkid
54.41
KB
-rwxr-xr-x
2022-05-04 06:30
blkzone
34.38
KB
-rwxr-xr-x
2022-05-04 06:30
blockdev
30.38
KB
-rwxr-xr-x
2022-05-04 06:30
bridge
92.49
KB
-rwxr-xr-x
2022-03-24 19:56
cache_check
1.33
MB
-rwxr-xr-x
2022-03-18 20:36
cache_dump
1.33
MB
-rwxr-xr-x
2022-03-18 20:36
cache_metadata_size
1.33
MB
-rwxr-xr-x
2022-03-18 20:36
cache_repair
1.33
MB
-rwxr-xr-x
2022-03-18 20:36
cache_restore
1.33
MB
-rwxr-xr-x
2022-03-18 20:36
cache_writeback
1.33
MB
-rwxr-xr-x
2022-03-18 20:36
capsh
30.3
KB
-rwxr-xr-x
2023-06-07 20:31
cfdisk
94.73
KB
-rwxr-xr-x
2022-05-04 06:30
cgdisk
150.48
KB
-rwxr-xr-x
2022-06-02 20:42
chcpu
30.38
KB
-rwxr-xr-x
2022-05-04 06:30
chgpasswd
58.32
KB
-rwxr-xr-x
2022-11-24 02:21
chmem
34.38
KB
-rwxr-xr-x
2022-05-04 06:30
chpasswd
54.35
KB
-rwxr-xr-x
2022-11-24 02:21
chroot
38.5
KB
-rwxr-xr-x
2022-02-08 00:03
cpgr
48.45
KB
-rwxr-xr-x
2022-11-24 02:21
cppw
48.45
KB
-rwxr-xr-x
2022-11-24 02:21
cron
50.58
KB
-rwxr-xr-x
2022-03-23 21:49
cryptdisks_start
1.51
KB
-rwxr-xr-x
2022-08-24 06:56
cryptdisks_stop
844
B
-rwxr-xr-x
2022-08-24 06:56
cryptsetup
207.88
KB
-rwxr-xr-x
2022-08-24 06:56
ctrlaltdel
14.38
KB
-rwxr-xr-x
2022-05-04 06:30
dcb
80.52
KB
-rwxr-xr-x
2022-03-24 19:56
debugfs
229.8
KB
-rwxr-xr-x
2022-06-03 11:03
delgroup
15.92
KB
-rwxr-xr-x
2022-05-17 18:26
deluser
15.92
KB
-rwxr-xr-x
2022-05-17 18:26
depmod
170.36
KB
-rwxr-xr-x
2022-08-22 17:13
devlink
142.86
KB
-rwxr-xr-x
2022-03-24 19:56
dhclient
676.52
KB
-rwxr-xr-x
2022-10-06 22:15
dhclient-script
15.92
KB
-rwxr-xr-x
2022-10-06 22:15
dmeventd
50.38
KB
-rwxr-xr-x
2022-08-23 04:35
dmidecode
123.22
KB
-rwxr-xr-x
2022-07-01 02:37
dmsetup
171.05
KB
-rwxr-xr-x
2022-08-23 04:35
dmstats
171.05
KB
-rwxr-xr-x
2022-08-23 04:35
dosfsck
82.38
KB
-rwxr-xr-x
2022-03-23 21:51
dosfslabel
38.38
KB
-rwxr-xr-x
2022-03-23 21:51
dpkg-preconfigure
3.58
KB
-rwxr-xr-x
2022-02-20 22:42
dpkg-reconfigure
4.38
KB
-rwxr-xr-x
2022-02-20 22:42
dumpe2fs
30.31
KB
-rwxr-xr-x
2022-06-03 11:03
e2freefrag
14.3
KB
-rwxr-xr-x
2022-06-03 11:03
e2fsck
351.84
KB
-rwxr-xr-x
2022-06-03 11:03
e2image
42.31
KB
-rwxr-xr-x
2022-06-03 11:03
e2label
102.55
KB
-rwxr-xr-x
2022-06-03 11:03
e2mmpstatus
30.31
KB
-rwxr-xr-x
2022-06-03 11:03
e2scrub
7.13
KB
-rwxr-xr-x
2022-06-03 11:03
e2scrub_all
5.27
KB
-rwxr-xr-x
2022-06-03 11:03
e2undo
22.3
KB
-rwxr-xr-x
2022-06-03 11:03
e4crypt
30.38
KB
-rwxr-xr-x
2022-06-03 11:03
e4defrag
30.3
KB
-rwxr-xr-x
2022-06-03 11:03
ebtables
219.04
KB
-rwxr-xr-x
2022-04-29 00:16
ebtables-nft
219.04
KB
-rwxr-xr-x
2022-04-29 00:16
ebtables-nft-restore
219.04
KB
-rwxr-xr-x
2022-04-29 00:16
ebtables-nft-save
219.04
KB
-rwxr-xr-x
2022-04-29 00:16
ebtables-restore
219.04
KB
-rwxr-xr-x
2022-04-29 00:16
ebtables-save
219.04
KB
-rwxr-xr-x
2022-04-29 00:16
era_check
1.33
MB
-rwxr-xr-x
2022-03-18 20:36
era_dump
1.33
MB
-rwxr-xr-x
2022-03-18 20:36
era_invalidate
1.33
MB
-rwxr-xr-x
2022-03-18 20:36
era_restore
1.33
MB
-rwxr-xr-x
2022-03-18 20:36
ethtool
555.57
KB
-rwxr-xr-x
2022-08-24 13:21
faillock
14.31
KB
-rwxr-xr-x
2023-02-02 17:18
fatlabel
38.38
KB
-rwxr-xr-x
2022-03-23 21:51
fdisk
110.42
KB
-rwxr-xr-x
2022-05-04 06:30
filefrag
18.32
KB
-rwxr-xr-x
2022-06-03 11:03
findfs
14.38
KB
-rwxr-xr-x
2022-05-04 06:30
fixparts
58.48
KB
-rwxr-xr-x
2022-06-02 20:42
fsadm
24
KB
-rwxr-xr-x
2022-08-23 04:35
fsck
42.42
KB
-rwxr-xr-x
2022-05-04 06:30
fsck.btrfs
1.16
KB
-rwxr-xr-x
2022-08-16 22:29
fsck.cramfs
30.44
KB
-rwxr-xr-x
2022-05-04 06:30
fsck.ext2
351.84
KB
-rwxr-xr-x
2022-06-03 11:03
fsck.ext3
351.84
KB
-rwxr-xr-x
2022-06-03 11:03
fsck.ext4
351.84
KB
-rwxr-xr-x
2022-06-03 11:03
fsck.fat
82.38
KB
-rwxr-xr-x
2022-03-23 21:51
fsck.minix
54.41
KB
-rwxr-xr-x
2022-05-04 06:30
fsck.msdos
82.38
KB
-rwxr-xr-x
2022-03-23 21:51
fsck.vfat
82.38
KB
-rwxr-xr-x
2022-03-23 21:51
fsck.xfs
1.92
KB
-rwxr-xr-x
2022-05-19 23:27
fsfreeze
14.38
KB
-rwxr-xr-x
2022-05-04 06:30
fstab-decode
14.3
KB
-rwxr-xr-x
2022-08-22 15:57
fstrim
42.38
KB
-rwxr-xr-x
2022-05-04 06:30
gdisk
182.48
KB
-rwxr-xr-x
2022-06-02 20:42
genl
90.44
KB
-rwxr-xr-x
2022-03-24 19:56
getcap
14.3
KB
-rwxr-xr-x
2023-06-07 20:31
getpcaps
14.3
KB
-rwxr-xr-x
2023-06-07 20:31
getty
55.56
KB
-rwxr-xr-x
2022-05-04 06:30
groupadd
67.13
KB
-rwxr-xr-x
2022-11-24 02:21
groupdel
62.91
KB
-rwxr-xr-x
2022-11-24 02:21
groupmems
58.34
KB
-rwxr-xr-x
2022-11-24 02:21
groupmod
71.04
KB
-rwxr-xr-x
2022-11-24 02:21
grpck
58.32
KB
-rwxr-xr-x
2022-11-24 02:21
grpconv
50.16
KB
-rwxr-xr-x
2022-11-24 02:21
grpunconv
50.16
KB
-rwxr-xr-x
2022-11-24 02:21
grub-bios-setup
945.42
KB
-rwxr-xr-x
2022-09-19 22:00
grub-install
1.15
MB
-rwxr-xr-x
2022-09-19 22:00
grub-macbless
933.11
KB
-rwxr-xr-x
2022-09-19 22:00
grub-mkconfig
8.6
KB
-rwxr-xr-x
2022-09-19 22:00
grub-mkdevicemap
215.7
KB
-rwxr-xr-x
2022-09-19 22:00
grub-probe
941.36
KB
-rwxr-xr-x
2022-09-19 22:00
grub-reboot
4.73
KB
-rwxr-xr-x
2022-09-19 22:00
grub-set-default
3.47
KB
-rwxr-xr-x
2022-09-19 22:00
halt
1.13
MB
-rwxr-xr-x
2023-03-02 20:58
hdparm
139.43
KB
-rwxr-xr-x
2022-03-23 21:57
hwclock
54.51
KB
-rwxr-xr-x
2022-05-04 06:30
iconvconfig
30.47
KB
-rwxr-xr-x
2022-10-07 16:13
init
90.38
KB
-rwxr-xr-x
2023-03-02 20:58
insmod
170.36
KB
-rwxr-xr-x
2022-08-22 17:13
install-sgmlcatalog
4.44
KB
-rwxr-xr-x
2020-04-08 11:24
installkernel
2.6
KB
-rwxr-xr-x
2022-07-27 14:20
integritysetup
66.88
KB
-rwxr-xr-x
2022-08-24 06:56
invoke-rc.d
16.13
KB
-rwxr-xr-x
2022-07-04 18:14
ip
702.05
KB
-rwxr-xr-x
2022-03-24 19:56
ip6tables
219.04
KB
-rwxr-xr-x
2022-04-29 00:16
ip6tables-apply
6.89
KB
-rwxr-xr-x
2021-01-16 06:03
ip6tables-legacy
96.95
KB
-rwxr-xr-x
2022-04-29 00:16
ip6tables-legacy-restore
96.95
KB
-rwxr-xr-x
2022-04-29 00:16
ip6tables-legacy-save
96.95
KB
-rwxr-xr-x
2022-04-29 00:16
ip6tables-nft
219.04
KB
-rwxr-xr-x
2022-04-29 00:16
ip6tables-nft-restore
219.04
KB
-rwxr-xr-x
2022-04-29 00:16
ip6tables-nft-save
219.04
KB
-rwxr-xr-x
2022-04-29 00:16
ip6tables-restore
219.04
KB
-rwxr-xr-x
2022-04-29 00:16
ip6tables-restore-translate
219.04
KB
-rwxr-xr-x
2022-04-29 00:16
ip6tables-save
219.04
KB
-rwxr-xr-x
2022-04-29 00:16
ip6tables-translate
219.04
KB
-rwxr-xr-x
2022-04-29 00:16
iptables
219.04
KB
-rwxr-xr-x
2022-04-29 00:16
iptables-apply
6.89
KB
-rwxr-xr-x
2021-01-16 06:03
iptables-legacy
96.95
KB
-rwxr-xr-x
2022-04-29 00:16
iptables-legacy-restore
96.95
KB
-rwxr-xr-x
2022-04-29 00:16
iptables-legacy-save
96.95
KB
-rwxr-xr-x
2022-04-29 00:16
iptables-nft
219.04
KB
-rwxr-xr-x
2022-04-29 00:16
iptables-nft-restore
219.04
KB
-rwxr-xr-x
2022-04-29 00:16
iptables-nft-save
219.04
KB
-rwxr-xr-x
2022-04-29 00:16
iptables-restore
219.04
KB
-rwxr-xr-x
2022-04-29 00:16
iptables-restore-translate
219.04
KB
-rwxr-xr-x
2022-04-29 00:16
iptables-save
219.04
KB
-rwxr-xr-x
2022-04-29 00:16
iptables-translate
219.04
KB
-rwxr-xr-x
2022-04-29 00:16
irqbalance
66.86
KB
-rwxr-xr-x
2022-07-05 04:25
irqbalance-ui
34.39
KB
-rwxr-xr-x
2022-07-05 04:25
iscsi-iname
14.3
KB
-rwxr-xr-x
2022-08-16 23:32
iscsi_discovery
5.17
KB
-rwxr-xr-x
2022-08-16 23:32
iscsiadm
390.45
KB
-rwxr-xr-x
2022-08-16 23:32
iscsid
302.55
KB
-rwxr-xr-x
2022-08-16 23:32
iscsistart
278.56
KB
-rwxr-xr-x
2022-08-16 23:32
isosize
14.38
KB
-rwxr-xr-x
2022-05-04 06:30
kbdrate
18.16
KB
-rwxr-xr-x
2022-03-24 20:06
killall5
26.23
KB
-rwxr-xr-x
2022-08-22 15:57
kpartx
46.16
KB
-rwxr-xr-x
2022-10-29 02:43
ldattach
26.38
KB
-rwxr-xr-x
2022-05-04 06:30
ldconfig
387
B
-rwxr-xr-x
2022-10-07 16:13
ldconfig.real
1.01
MB
-rwxr-xr-x
2022-10-07 16:13
locale-gen
4.29
KB
-rwxr-xr-x
2022-09-21 00:02
logrotate
102.24
KB
-rwxr-xr-x
2022-05-26 22:33
logsave
14.16
KB
-rwxr-xr-x
2022-06-03 11:03
losetup
70.52
KB
-rwxr-xr-x
2022-05-04 06:30
lsmod
170.36
KB
-rwxr-xr-x
2022-08-22 17:13
luksformat
3.32
KB
-rwxr-xr-x
2022-08-24 06:56
lvchange
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
lvconvert
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
lvcreate
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
lvdisplay
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
lvextend
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
lvm
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
lvmconfig
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
lvmdiskscan
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
lvmdump
10.12
KB
-rwxr-xr-x
2022-08-23 04:35
lvmpolld
239.97
KB
-rwxr-xr-x
2022-08-23 04:35
lvmsadc
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
lvmsar
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
lvreduce
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
lvremove
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
lvrename
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
lvresize
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
lvs
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
lvscan
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
make-bcache
22.38
KB
-rwxr-xr-x
2022-03-23 17:42
mdadm
601.49
KB
-rwxr-xr-x
2022-05-25 17:01
mdmon
258.62
KB
-rwxr-xr-x
2022-05-25 17:01
mkdosfs
50.83
KB
-rwxr-xr-x
2022-03-23 21:51
mke2fs
130.62
KB
-rwxr-xr-x
2022-06-03 11:03
mkfs
14.38
KB
-rwxr-xr-x
2022-05-04 06:30
mkfs.bfs
22.38
KB
-rwxr-xr-x
2022-05-04 06:30
mkfs.btrfs
471.19
KB
-rwxr-xr-x
2022-08-16 22:29
mkfs.cramfs
34.32
KB
-rwxr-xr-x
2022-05-04 06:30
mkfs.ext2
130.62
KB
-rwxr-xr-x
2022-06-03 11:03
mkfs.ext3
130.62
KB
-rwxr-xr-x
2022-06-03 11:03
mkfs.ext4
130.62
KB
-rwxr-xr-x
2022-06-03 11:03
mkfs.fat
50.83
KB
-rwxr-xr-x
2022-03-23 21:51
mkfs.minix
42.39
KB
-rwxr-xr-x
2022-05-04 06:30
mkfs.msdos
50.83
KB
-rwxr-xr-x
2022-03-23 21:51
mkfs.ntfs
70.38
KB
-rwxr-xr-x
2022-11-01 19:53
mkfs.vfat
50.83
KB
-rwxr-xr-x
2022-03-23 21:51
mkfs.xfs
394.77
KB
-rwxr-xr-x
2022-05-19 23:27
mkhomedir_helper
22.34
KB
-rwxr-xr-x
2023-02-02 17:18
mkinitramfs
12.21
KB
-rwxr-xr-x
2022-08-30 21:47
mklost+found
14.3
KB
-rwxr-xr-x
2022-06-03 11:03
mkntfs
70.38
KB
-rwxr-xr-x
2022-11-01 19:53
mkswap
50.38
KB
-rwxr-xr-x
2022-05-04 06:30
modinfo
170.36
KB
-rwxr-xr-x
2022-08-22 17:13
modprobe
170.36
KB
-rwxr-xr-x
2022-08-22 17:13
mount.fuse
18.3
KB
-rwxr-xr-x
2022-05-07 22:30
mount.fuse3
18.3
KB
-rwxr-xr-x
2022-05-07 22:30
mount.lowntfs-3g
114.98
KB
-rwxr-xr-x
2022-11-01 19:53
mount.ntfs
159.01
KB
-rwxr-xr-x
2022-11-01 19:53
mount.ntfs-3g
159.01
KB
-rwxr-xr-x
2022-11-01 19:53
mpathpersist
31.05
KB
-rwxr-xr-x
2022-10-29 02:43
multipath
34.15
KB
-rwxr-xr-x
2022-10-29 02:43
multipathd
134.26
KB
-rwxr-xr-x
2022-10-29 02:43
mysqld
52.35
MB
-rwxr-xr-x
2023-05-12 07:14
needrestart
38.59
KB
-rwxr-xr-x
2022-05-17 23:38
netplan
798
B
-rwxr-xr-x
2022-08-29 20:47
newusers
86.99
KB
-rwxr-xr-x
2022-11-24 02:21
nfnl_osf
18.3
KB
-rwxr-xr-x
2022-04-29 00:16
nft
26.23
KB
-rwxr-xr-x
2022-08-10 19:29
nginx
1.21
MB
-rwxr-xr-x
2022-11-10 14:40
nologin
14.3
KB
-rwxr-xr-x
2022-11-24 02:21
ntfsclone
50.38
KB
-rwxr-xr-x
2022-11-01 19:53
ntfscp
34.38
KB
-rwxr-xr-x
2022-11-01 19:53
ntfslabel
22.38
KB
-rwxr-xr-x
2022-11-01 19:53
ntfsresize
62.39
KB
-rwxr-xr-x
2022-11-01 19:53
ntfsundelete
50.38
KB
-rwxr-xr-x
2022-11-01 19:53
on_ac_power
2.18
KB
-rwxr-xr-x
2022-08-21 01:35
overlayroot-chroot
2.45
KB
-rwxr-xr-x
2020-08-18 00:00
ownership
14.45
KB
-rwxr-xr-x
2022-07-01 02:37
pam-auth-update
20.5
KB
-rwxr-xr-x
2022-08-19 00:56
pam_extrausers_chkpwd
22.31
KB
-rwxr-sr-x
2023-02-02 17:18
pam_extrausers_update
34.31
KB
-rwxr-xr-x
2023-02-02 17:18
pam_getenv
2.82
KB
-rwxr-xr-x
2022-08-18 13:49
pam_namespace_helper
467
B
-rwxr-xr-x
2023-02-02 17:18
pam_timestamp_check
14.31
KB
-rwxr-xr-x
2023-02-02 17:18
parted
90.4
KB
-rwxr-xr-x
2022-09-17 22:20
partprobe
14.38
KB
-rwxr-xr-x
2022-09-17 22:20
pdata_tools
1.33
MB
-rwxr-xr-x
2022-03-18 20:36
php-fpm8.1
5.28
MB
-rwxr-xr-x
2023-06-28 22:05
phpdismod
7.11
KB
-rwxr-xr-x
2022-01-28 08:27
phpenmod
7.11
KB
-rwxr-xr-x
2022-01-28 08:27
phpquery
6.24
KB
-rwxr-xr-x
2022-01-28 08:27
pivot_root
14.38
KB
-rwxr-xr-x
2022-05-04 06:30
plymouthd
146.55
KB
-rwxr-xr-x
2022-08-29 18:03
poweroff
1.13
MB
-rwxr-xr-x
2023-03-02 20:58
pvchange
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
pvck
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
pvcreate
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
pvdisplay
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
pvmove
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
pvremove
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
pvresize
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
pvs
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
pvscan
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
pwck
54.29
KB
-rwxr-xr-x
2022-11-24 02:21
pwconv
46.16
KB
-rwxr-xr-x
2022-11-24 02:21
pwhistory_helper
18.31
KB
-rwxr-xr-x
2023-02-02 17:18
pwunconv
46.16
KB
-rwxr-xr-x
2022-11-24 02:21
readprofile
22.41
KB
-rwxr-xr-x
2022-05-04 06:30
reboot
1.13
MB
-rwxr-xr-x
2023-03-02 20:58
remove-shell
1.08
KB
-rwxr-xr-x
2022-07-27 14:20
resize2fs
66.3
KB
-rwxr-xr-x
2022-06-03 11:03
resolvconf
130.53
KB
-rwxr-xr-x
2023-03-02 20:58
rmmod
170.36
KB
-rwxr-xr-x
2022-08-22 17:13
rmt
58.57
KB
-rwxr-xr-x
2023-02-10 01:03
rmt-tar
58.57
KB
-rwxr-xr-x
2023-02-10 01:03
rsyslogd
767.08
KB
-rwxr-xr-x
2022-08-16 11:15
rtacct
28.31
KB
-rwxr-xr-x
2022-03-24 19:56
rtcwake
34.38
KB
-rwxr-xr-x
2022-05-04 06:30
rtmon
90.39
KB
-rwxr-xr-x
2022-03-24 19:56
runlevel
1.13
MB
-rwxr-xr-x
2023-03-02 20:58
runuser
54.38
KB
-rwxr-xr-x
2022-05-04 06:30
service
8.88
KB
-rwxr-xr-x
2022-07-04 18:19
setcap
14.3
KB
-rwxr-xr-x
2023-06-07 20:31
setvesablank
14.23
KB
-rwxr-xr-x
2022-03-24 20:06
setvtrgb
14.29
KB
-rwxr-xr-x
2022-03-24 20:06
sfdisk
102.38
KB
-rwxr-xr-x
2022-05-04 06:30
sgdisk
162.48
KB
-rwxr-xr-x
2022-06-02 20:42
shadowconfig
885
B
-rwxr-xr-x
2022-05-23 20:19
shutdown
1.13
MB
-rwxr-xr-x
2023-03-02 20:58
sshd
899.66
KB
-rwxr-xr-x
2022-09-27 05:55
start-stop-daemon
47.49
KB
-rwxr-xr-x
2022-07-03 06:00
sudo_logsrvd
204.16
KB
-rwxr-xr-x
2023-04-04 01:57
sudo_sendlog
107.34
KB
-rwxr-xr-x
2023-04-04 01:57
sulogin
42.38
KB
-rwxr-xr-x
2022-05-04 06:30
swaplabel
18.38
KB
-rwxr-xr-x
2022-05-04 06:30
swapoff
22.38
KB
-rwxr-xr-x
2022-05-04 06:30
swapon
42.38
KB
-rwxr-xr-x
2022-05-04 06:30
switch_root
22.38
KB
-rwxr-xr-x
2022-05-04 06:30
sysctl
30.23
KB
-rwxr-xr-x
2022-08-22 16:50
tarcat
936
B
-rwxr-xr-x
2023-02-10 01:03
tc
614.08
KB
-rwxr-xr-x
2022-03-24 19:56
telinit
1.13
MB
-rwxr-xr-x
2023-03-02 20:58
thin_check
1.33
MB
-rwxr-xr-x
2022-03-18 20:36
thin_delta
1.33
MB
-rwxr-xr-x
2022-03-18 20:36
thin_dump
1.33
MB
-rwxr-xr-x
2022-03-18 20:36
thin_ls
1.33
MB
-rwxr-xr-x
2022-03-18 20:36
thin_metadata_size
1.33
MB
-rwxr-xr-x
2022-03-18 20:36
thin_repair
1.33
MB
-rwxr-xr-x
2022-03-18 20:36
thin_restore
1.33
MB
-rwxr-xr-x
2022-03-18 20:36
thin_rmap
1.33
MB
-rwxr-xr-x
2022-03-18 20:36
thin_trim
1.33
MB
-rwxr-xr-x
2022-03-18 20:36
tipc
90.44
KB
-rwxr-xr-x
2022-03-24 19:56
tune2fs
102.55
KB
-rwxr-xr-x
2022-06-03 11:03
tzconfig
106
B
-rwxr-xr-x
2023-04-02 21:25
ufw
4.82
KB
-rwxr-xr-x
2022-02-17 01:36
unix_chkpwd
26.31
KB
-rwxr-sr-x
2023-02-02 17:18
unix_update
34.31
KB
-rwxr-xr-x
2023-02-02 17:18
update-ca-certificates
5.29
KB
-rwxr-xr-x
2023-05-18 21:09
update-catalog
9.15
KB
-rwxr-xr-x
2020-04-08 11:24
update-grub
64
B
-rwxr-xr-x
2022-09-19 22:00
update-grub-gfxpayload
301
B
-rwxr-xr-x
2015-03-28 01:50
update-grub2
64
B
-rwxr-xr-x
2022-09-19 22:00
update-info-dir
1.66
KB
-rwxr-xr-x
2022-06-11 05:50
update-initramfs
6.74
KB
-rwxr-xr-x
2021-11-22 06:43
update-locale
2.99
KB
-rwxr-xr-x
2022-08-02 21:09
update-mime
9.39
KB
-rwxr-xr-x
2021-12-11 07:14
update-passwd
34.56
KB
-rwxr-xr-x
2022-08-17 19:14
update-pciids
1.71
KB
-rwxr-xr-x
2022-07-17 08:35
update-rc.d
17.33
KB
-rwxr-xr-x
2022-07-04 18:14
update-secureboot-policy
7.43
KB
-rwxr-xr-x
2021-08-14 00:00
update-shells
3.76
KB
-rwxr-xr-x
2022-07-27 14:20
upgrade-from-grub-legacy
1.56
KB
-rwxr-xr-x
2022-09-19 22:00
usb_modeswitch
59.66
KB
-rwxr-xr-x
2022-03-25 17:53
usb_modeswitch_dispatcher
26.78
KB
-rwxr-xr-x
2022-03-25 17:53
useradd
131.84
KB
-rwxr-xr-x
2022-11-24 02:21
userdel
87.01
KB
-rwxr-xr-x
2022-11-24 02:21
usermod
131.65
KB
-rwxr-xr-x
2022-11-24 02:21
uuidd
30.85
KB
-rwxr-xr-x
2022-05-04 06:30
validlocale
1.73
KB
-rwxr-xr-x
2022-08-02 21:09
vcstime
14.15
KB
-rwxr-xr-x
2022-03-24 20:06
vdpa
30.56
KB
-rwxr-xr-x
2022-03-24 19:56
veritysetup
43.76
KB
-rwxr-xr-x
2022-08-24 06:56
vgcfgbackup
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
vgcfgrestore
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
vgchange
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
vgck
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
vgconvert
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
vgcreate
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
vgdisplay
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
vgexport
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
vgextend
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
vgimport
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
vgimportclone
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
vgmerge
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
vgmknodes
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
vgreduce
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
vgremove
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
vgrename
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
vgs
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
vgscan
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
vgsplit
3.04
MB
-rwxr-xr-x
2022-08-23 04:35
vigr
56.69
KB
-rwxr-xr-x
2022-11-24 02:21
vipw
56.69
KB
-rwxr-xr-x
2022-11-24 02:21
visudo
236.24
KB
-rwxr-xr-x
2023-04-04 01:57
vpddecode
14.58
KB
-rwxr-xr-x
2022-07-01 02:37
wipefs
38.38
KB
-rwxr-xr-x
2022-05-04 06:30
xfs_admin
1.37
KB
-rwxr-xr-x
2022-05-19 23:27
xfs_bmap
695
B
-rwxr-xr-x
2022-05-19 23:27
xfs_copy
86.48
KB
-rwxr-xr-x
2022-05-19 23:27
xfs_db
652.41
KB
-rwxr-xr-x
2022-05-19 23:27
xfs_estimate
14.16
KB
-rwxr-xr-x
2022-05-19 23:27
xfs_freeze
800
B
-rwxr-xr-x
2022-05-19 23:27
xfs_fsr
42.18
KB
-rwxr-xr-x
2022-05-19 23:27
xfs_growfs
42.28
KB
-rwxr-xr-x
2022-05-19 23:27
xfs_info
1.26
KB
-rwxr-xr-x
2022-05-19 23:27
xfs_io
199.55
KB
-rwxr-xr-x
2022-05-19 23:27
xfs_logprint
78.33
KB
-rwxr-xr-x
2022-05-19 23:27
xfs_mdrestore
26.17
KB
-rwxr-xr-x
2022-05-19 23:27
xfs_metadump
782
B
-rwxr-xr-x
2022-05-19 23:27
xfs_mkfile
1.02
KB
-rwxr-xr-x
2022-05-19 23:27
xfs_ncheck
685
B
-rwxr-xr-x
2022-05-19 23:27
xfs_quota
90.16
KB
-rwxr-xr-x
2022-05-19 23:27
xfs_repair
603.38
KB
-rwxr-xr-x
2022-05-19 23:27
xfs_rtcp
18.15
KB
-rwxr-xr-x
2022-05-19 23:27
xfs_scrub
106.27
KB
-rwxr-xr-x
2022-05-19 23:27
xfs_scrub_all
5.87
KB
-rwxr-xr-x
2022-05-19 23:27
xfs_spaceman
42.3
KB
-rwxr-xr-x
2022-05-19 23:27
xtables-legacy-multi
96.95
KB
-rwxr-xr-x
2022-04-29 00:16
xtables-monitor
219.04
KB
-rwxr-xr-x
2022-04-29 00:16
xtables-nft-multi
219.04
KB
-rwxr-xr-x
2022-04-29 00:16
zerofree
14.15
KB
-rwxr-xr-x
2022-03-25 17:54
zic
62.39
KB
-rwxr-xr-x
2022-10-07 16:13
zramctl
54.52
KB
-rwxr-xr-x
2022-05-04 06:30
Save
Rename
#!/bin/sh # ---------------------------------------------------------------------- # Copyright (c) 2017 Canonical Ltd. (All rights reserved) # # This program is free software; you can redistribute it and/or # modify it under the terms of version 2 of the GNU General Public # License published by the Free Software Foundation. # # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # # You should have received a copy of the GNU General Public License # along with this program. If not, see <http://www.gnu.org/licenses/>. # ---------------------------------------------------------------------- APPARMOR_FUNCTIONS=/lib/apparmor/rc.apparmor.functions APPARMORFS=/sys/kernel/security/apparmor PROFILES="${APPARMORFS}/profiles" REMOVE="${APPARMORFS}/.remove" DRY_RUN=0 . $APPARMOR_FUNCTIONS usage() { local progname="$1" local rc="$2" local msg="usage: ${progname} [options] Remove profiles unknown to the system Options: -h, --help Show this help message and exit -n Dry run; don't remove profiles" if [ "$rc" -ne 0 ] ; then echo "$msg" 1>&2 else echo "$msg" fi exit "$rc" } if [ "$#" -gt 1 ] ; then usage "$0" 1 elif [ "$#" -eq 1 ] ; then if [ "$1" = "-h" -o "$1" = "--help" ] ; then usage "$0" 0 elif [ "$1" = "-n" ] ; then DRY_RUN=1 else usage "$0" 1 fi fi # We can't use a -r test here because while $PROFILES is world-readable, # apparmorfs may still return EACCES from open() # # We have to do this check because error checking awk's getline() below is # tricky and, as is, results in an infinite loop when apparmorfs returns an # error from open(). if ! IFS= read line < "$PROFILES" ; then echo "ERROR: Unable to read apparmorfs profiles file" 1>&2 exit 1 elif [ ! -w "$REMOVE" ] ; then echo "ERROR: Unable to write to apparmorfs remove file" 1>&2 exit 1 fi # Clean out running profiles not associated with the current profile # set, excluding the libvirt dynamically generated profiles. # Note that we reverse sort the list of profiles to remove to # ensure that child profiles (e.g. hats) are removed before the # parent. We *do* need to remove the child profile and not rely # on removing the parent profile when the profile has had its # child profile names changed. LOADED_PROFILES=$("$PARSER" -N $PROFILE_DIRS) || { ret=$? echo 'apparmor_parser exited with failure, aborting.' >&2 exit $ret } echo "$LOADED_PROFILES" | awk ' BEGIN { while (getline < "'${PROFILES}'" ) { str = sub(/ \((enforce|complain)\)$/, "", $0); if (match($0, /^libvirt-[0-9a-f\-]+$/) == 0) arr[$str] = $str } } { if (length(arr[$0]) > 0) { delete arr[$0] } } END { for (key in arr) if (length(arr[key]) > 0) { printf("%s\n", arr[key]) } } ' | LC_COLLATE=C sort -r | \ while IFS= read profile ; do if [ "$DRY_RUN" -ne 0 ]; then echo "Would remove '${profile}'" else echo "Removing '${profile}'" echo -n "$profile" > "${REMOVE}" fi done # will not catch all errors, but still better than nothing exit $?